Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ApplicationViewBasicEquipmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ApplicationViewBasicEquipmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationViewBasicEquipmentType extends Object implements Serializable
Generiek type voor het mobiliteitshulpmiddel in het beeld van een aanvraag.

Java class for ApplicationViewBasicEquipmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType" minOccurs="0"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Serialnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PublicPrice" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="AllowanceVSB" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Supplement" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Forfait" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FirstUseDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationViewBasicEquipmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAllowanceVSB()`
  Tegemoetkoming VSB voor het mobiliteitshulpmiddel.
  `BigDecimal`
  `getAmount()`
  Toegekend bedrag voor het mobiliteitshulpmiddel.
  `String`
  `getCareServiceCode()`
  Prestatiecode van het mobiliteitshulpmiddel.
  `Instant`
  `getDeliveryDate()`
  Datum van aflevering van het mobiliteitshulpmiddel.
  `String`
  `getEquipmentID()`
  Unieke ID van het mobiliteitshulpmiddel.
  `Instant`
  `getFirstUseDate()`
  Datum van eerste ingebruikname van het mobiliteitshulpmiddel.
  `String`
  `getForfait()`
  Toegekende prestatiecode van het mobiliteitshulpmiddel.
  `String`
  `getProductnumber()`
  Productcode van het mobiliteitshulpmiddel.
  `BigDecimal`
  `getPublicPrice()`
  Publieke prijs van het mobiliteitshulpmiddel.
  `List<String>`
  `getReasons()`
  Reden van de weigering, stopzetting of annulering.
  `String`
  `getSerialnumber()`
  Serienummer van het mobiliteitshulpmiddel.
  `CareServiceCodeStatusType`
  `getStatus()`
  Status van het mobiliteitshulpmiddel.
  `Instant`
  `getStatusDate()`
  Datum van de status van het mobiliteitshulpmiddel.
  `BigDecimal`
  `getSupplement()`
  Supplement voor het mobiliteitshulpmiddel.
  `void`
  `setAllowanceVSB(BigDecimal value)`
  Sets the value of the allowanceVSB property.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setDeliveryDate(Instant value)`
  Sets the value of the deliveryDate property.
  `void`
  `setEquipmentID(String value)`
  Sets the value of the equipmentID property.
  `void`
  `setFirstUseDate(Instant value)`
  Sets the value of the firstUseDate property.
  `void`
  `setForfait(String value)`
  Sets the value of the forfait property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setPublicPrice(BigDecimal value)`
  Sets the value of the publicPrice property.
  `void`
  `setSerialnumber(String value)`
  Sets the value of the serialnumber property.
  `void`
  `setStatus(CareServiceCodeStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.
  `void`
  `setSupplement(BigDecimal value)`
  Sets the value of the supplement property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationViewBasicEquipmentType

    public ApplicationViewBasicEquipmentType()

- ## Method Details

  - ### getEquipmentID

    public String getEquipmentID()
    Unieke ID van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setEquipmentID

    public void setEquipmentID(String value)
    Sets the value of the equipmentID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEquipmentID()`

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getSerialnumber

    public String getSerialnumber()
    Serienummer van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setSerialnumber

    public void setSerialnumber(String value)
    Sets the value of the serialnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSerialnumber()`

  - ### getPublicPrice

    public BigDecimal getPublicPrice()
    Publieke prijs van het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setPublicPrice

    public void setPublicPrice(BigDecimal value)
    Sets the value of the publicPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPublicPrice()`

  - ### getAllowanceVSB

    public BigDecimal getAllowanceVSB()
    Tegemoetkoming VSB voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setAllowanceVSB

    public void setAllowanceVSB(BigDecimal value)
    Sets the value of the allowanceVSB property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAllowanceVSB()`

  - ### getSupplement

    public BigDecimal getSupplement()
    Supplement voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setSupplement

    public void setSupplement(BigDecimal value)
    Sets the value of the supplement property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getSupplement()`

  - ### getForfait

    public String getForfait()
    Toegekende prestatiecode van het mobiliteitshulpmiddel. Is enkel aanwezig indien er een andere dan de gevraagde prestatiecode is toegekend.
    Returns:
      possible object is `String`

  - ### setForfait

    public void setForfait(String value)
    Sets the value of the forfait property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getForfait()`

  - ### getAmount

    public BigDecimal getAmount()
    Toegekend bedrag voor het mobiliteitshulpmiddel. Is enkel aanwezig indien de BTC effectief een bedrag heeft toegekend aan het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getStatus

    public CareServiceCodeStatusType getStatus()
    Status van het mobiliteitshulpmiddel.
    Returns:
      possible object is `CareServiceCodeStatusType`

  - ### setStatus

    public void setStatus(CareServiceCodeStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `CareServiceCodeStatusType`
    See Also:
      - `getStatus()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`

  - ### getReasons

    public List<String> getReasons()
    Reden van de weigering, stopzetting of annulering. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.

  - ### getFirstUseDate

    public Instant getFirstUseDate()
    Datum van eerste ingebruikname van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setFirstUseDate

    public void setFirstUseDate(Instant value)
    Sets the value of the firstUseDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstUseDate()`

  - ### getDeliveryDate

    public Instant getDeliveryDate()
    Datum van aflevering van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setDeliveryDate

    public void setDeliveryDate(Instant value)
    Sets the value of the deliveryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDeliveryDate()`